<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="appCardHeader != null || appTitle != null" class="card-header">
  <span *ngIf="appTitle" class="card-header-title">
    {{appTitle}}
  </span>

  <ng-container *ngTemplateOutlet="appCardHeader"></ng-container>
</div>

<div class="card-body">

  <ng-content></ng-content>

</div>
